<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();
//$set['title']='Анкета'; // заголовок страницы
include_once 'sys/inc/thead.php';
//$set['title']='Настройки - Приватность'; // заголовок страницы
title();


if (isset($_POST['ank_enter']))
{
$ank_enter=intval($_POST['ank_enter']);
mysql_query("UPDATE `user` SET `ank_enter` = '$ank_enter' WHERE `id` = '$user[id]' LIMIT 1");
msg('Настройки успешно изменены');
}
err();

if (isset($user) & $user['rating']<=0)
{
if ($user['pol']==0){echo "Извини <b>красавица,</b> \n";} else {echo "<b>Извини братан,</b> \n";}
echo "но чтобы закрыть свой профиль необходимо чтобы у вас была как минимум Серебрянная медаль<br/>У вас <b>$user[rating] %</b> рейтинга\n";
}
else
{
echo "<div class='rekl'>";
echo "<center><img src='/style/icons/21.png' alt='' class='icon'/> <b>Настройка приватности</b></center>";
echo "</div>\n";
//echo "<form method='post' action='?$passgen'>\n";
echo "<form method='post' action='privat.php'>\n";

echo "Показывать мою страничку :<br />\n<select name=\"ank_enter\">\n";
echo "<option value=\"1\">Всем</option>\n"; //даже при показе только друзьям после сохранения,после сохранения будет всем,ничего страшного 
echo "<option value=\"2\">Только друзьям</option>\n";
echo "</select><br />\n";

echo "<input type='submit' name='save' value='Изменить' />\n";
echo "</form>\n";
}
echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo "<a href='/umenu.php'>Мое меню</a><br />\n";
include_once 'sys/inc/tfoot.php';
?>